%define upstream_name    Plack-Middleware-Xslate
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Serve static templates with Plack
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Plack::App::File)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware::Static)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Xslate)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This middleware allows you to serve files processed as the Text::Xslate
manpage templates. This is useful for serving sites that are essentially
static content, but with a consistent structure (which can be pulled out
into a single template to include, rather than duplicated across every
page).

Configuration for this middleware is identical to the
Plack::Middleware::Static manpage, with these additional options:

* xslate_args

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 514109
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 371884
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 303475
- imported package perl-Plack-Middleware-Xslate


* Mon Oct 08 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
